Working with the Knowledge Workbench

Use

The Knowledge Workbench is a PC application of the SAP Knowledge Warehouse that provides all the functions authors need for creating information objects. You can use it for creating and editing information objects, maintaining attributes, and displaying information objects in a web browser.

Integration

With the Knowledge Workbench you can work either online or offline.

When you work online, you have access to the information objects in the Knowledge Warehouse.

When you work offline, you only have access to the information objects stored on your local PC or in the file system.

Prerequisites

The Knowledge Workbench must be installed on your PC.

You need a user in the SAP System of the SAP Knowledge Warehouse

Features

Three content repositories

In the Knowledge Workbench, you use three content repositories when you create information objects:

  • Knowledge Warehouse

The Knowledge Warehouse contains all the information objects stored in the Knowledge Warehouse. You only have access to the Knowledge Warehouse when you are working with the Knowledge Workbench in online mode and are logged onto the Knowledge Warehouse R/3 System.

You can add folders of the Knowledge Warehouse to your favorites.

When you choose information objects in the Knowledge Warehouse and call the editing function, the information objects are downloaded to the Local Repository on your PC and locked for other users. Other users can only view the information objects that are checked out.
  • Local Repository on the PC

The Local Repository contains all the information objects you checked out of the Knowledge Warehouse for editing.

It also contains the information objects you created anew, either from scratch or by importing files from the Local System.

When you work with the Knowledge Workbench in offline mode, all the new and changed information objects are stored in the Local Repository.

When you check the changed information objects back into the Knowledge Warehouse, these objects are removed from the Local Repository and unlocked in the Knowledge Warehouse.
  • Local System

The Local System gives you access to all files on your PC and network that you may want to use as source material for information objects in the Knowledge Warehouse. You can create information objects from files in your Local System by checking them into the Knowledge Warehouse either directly or using the Local Repository.

Online and Offline Mode

In online mode you have access to all information objects in the Knowledge Warehouse. This means you can view all information objects, you can set links to them, change their attributes, and edit them. Editing and changing attributes is not possible if the information objects are checked out by another user.

In offline mode you have access only to the information objects in the Local Repository and to data in the Local System.

Navigation in Explorer Windows

In the Knowledge Workbench you access folders and information objects in Explorer windows. Navigation in Explorer windows works in much the same way as in the Microsoft Windows Explorer.

In each Explorer window a context bar (below the title bar) displays the current settings of the version context (language, release).

The color of the context bar depends on the content repository in which you are navigating:

  • Green in the Knowledge Warehouse
  • Blue in the Local Repository
    •
  • Gray in the Local System

By opening several Explorer windows you can simultaneously look at and work on different parts of the Knowledge Warehouse, Local Repository and Local System. You can also use the Drag&Drop technique for various functions, such as inserting information objects in a structure.

Functions for Information Objects

The functions provided for the information object chosen are offered from the menu or with the right mouse button.

Constraints

You cannot use all the authoring functions in the Knowledge Workbench. The following functions are only available in the SAP Knowledge Warehouse R/3 System.

  • Set and check R/3 links between R/3 application objects and information objects of the Knowledge Warehouse
  • Print structures with information objects
  • Create offline presentations of training courses
  • Maintain index entries (area: Documentation)
  • Check information objects (area: Documentation)

You can only execute these functions if you are logged onto the SAP System of the Knowledge Warehouse.

Activities

You can start the Knowledge Workbench with Programs ® SAP Front end ® Knowledge Workbench from the Windows Start Menu.

To work in online mode enter the required data in the Work Online tab page of the logon dialog box.

To work offline choose a content in the Work Offline tab page of the logon dialog box.


Starting the Knowledge Workbench

Prerequisites

You installed the Knowledge Workbench from the SAPGui CD.

Procedure

To start the Knowledge Workbench:

  1. Choose Start ® Programs ® SAP Frontend ® Knowledge Workbench.

    2. The initial screen of the Knowledge Workbench appears.

  2. Select the mode in which you want to start the Knowledge Workbench.
    • To work in online mode, enter the required data in the Work online tab page of the logon dialog box.
    • To work offline, select a content in the Work offline tab page of the logon dialog box.
  1. Choose Log on.

Result

The Knowledge Workbench is started. An Explorer window with the available content spaces is displayed.


Configuration of the Knowledge Workbench

Use

In the Knowledge Workbench you can adjust a number of settings that control

  • the context (language, enhancement, release) in which you can maintain and display the information object versions
  • the information object attributes to be displayed in the Explorer windows you open in the Knowledge Workbench
  • the attribute values to be used as default values when you create new information objects.

Functionality

You can configure the following areas in the Knowledge Workbench:

  • Maintenance of information objects

You control which versions of an information object should be used or created by selecting a context (language, enhancement, release).

If you want to access information objects from different contexts, you can change the set context for each open Explorer window.

You can also define an initial context for the new Explorer window.
  • Information display

You can control which information object attributes should be displayed in the Knowledge Warehouse and Local Repository by defining display settings.

You can show or hide the structure view and object preview in the active Explorer window.
  • Default values for new information objects

You can reduce the amount of data required for creating new information objects by defining default values for the attributes of new information objects.

You can define the default values for all information objects in an area of the Knowledge Warehouse.


Entering the Context for the Active Explorer Window

Use

This procedure controls the information object versions to be accessed with the active Explorer window of the Knowledge Workbench.

Procedure

To enter the context for the active Explorer window:

  1. Choose the Explorer window to be used to display the folder contents.
  2. Choose Context ® Change the Current Context...

    3. A dialog box appears.

  3. Choose the context parameter and choose OK.

Result

The display of the folders and information objects of the active Explorer window is updated. Only the information objects having a version in the context you chose are displayed.


Setting the Initial Context

Use

With the initial context you can control which context is displayed when you open a new Explorer window.

Procedure

To set a standard context:

  1. Choose Settings ® Knowledge Warehouse ...
  2. Choose tab page Initial Context.
  3. Enter your context parameters and choose OK.

Result

The context you set is used as the initial context when you open a new Explorer window.


Setting the Display of Information Object Attributes

Use

This procedure defines the information object attributes to be displayed in the Explorer windows.

Procedure

To set the attributes to be displayed:

  1. Choose View ® Settings ® Knowledge Warehouse...
  2. On the following tab choose tab page Display Attributes.
  3. To display an attribute, choose it from the list of Available Properties and choose Add.

    4. To remove an attribute from the current display, choose it from the list of Selected properties and choose Remove.

  4. Choose OK.

Result

When you display folder contents in Explorer windows, the information objects are shown with the attributes you included in the Selected Properties list.


Defining Default Values for New Information Objects

Use

This procedure defines attribute values that are automatically assigned to new information objects. You do not have to maintain so many attributes when you create new information objects if you define default values.

Procedure

  1. Choose Settings ® Default Values ...

    2. A dialog box appears in which you can specify default attribute values for information objects of the different info object classes in the various areas.

  2. Choose an area.

    3. The info object classes of the chosen area are displayed.

  3. Choose an info object class.

    4. The information object attributes of the chosen info object class are displayed.

  4. Choose an information object attribute.
  5. Choose Specify a default value and enter an attribute value in the corresponding text field.

    6. You can choose the option Special Default Value for some attributes, such as Person Responsible, and then enter your user name as default value.

    You cannot maintain a default value for the Status if the authorization procedure is activated.

  6. Save the default values with OK.

Result

The default values you defined are used when you create an information object.


Display Settings

Use

The Knowledge Workbench includes a number of settings for defining the amount and type of information to be displayed in an Explorer window. Some of these settings apply to all Explorer windows and others apply only to the active window.

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Functionality

You can show or hide the following information in the Knowledge Workbench:

  • Favorites

All the folders in the list of favorites are displayed.
  • Tips

A number of tips that support your work with the Knowledge Workbench are displayed.

You can show or hide the following information in the Explorer window:

  • Structure of the content spaces

The structure of the individual content spaces is displayed.
  • Object preview for information objects

The contents are displayed for content objects.

Only the short information is displayed for structures.
  • How the information objects are displayed

If you choose Detail, all the attributes selected for display are shown.
  • How the information objects are sorted in the display

The information objects displayed are sorted according to your selection.

Activities

Select the display options in the View menu.


Showing and Hiding Favorites

Prerequisites

You are in the Knowledge Workbench.

Procedure

To show or hide the favorites, choose View ® Favorites.

Result

The favorites are displayed in a separate window.

The favorites are shown if Favorites is marked. Otherwise they are hidden.


Showing and Hiding Tips

Prerequisites

You are in the Knowledge Workbench.

Procedure

To show or hide the tips for working with the Knowledge Workbench, choose View ® Tips.

To display the next tip, click with the right mouse key and choose Next tip.

Result

The tips are displayed in a separate window.

The tips are shown if Tips is marked. Otherwise they are hidden.


Showing and Hiding the Structure of the Content Spaces

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Procedure

To hide the structure of the content spaces, choose View ® Structure view.

Result

The structure of the content spaces is displayed in the left part of the Explorer window.

The structure is shown if Structure view is marked. Otherwise it is hidden.


Showing and Hiding the Information Object Preview

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Procedure

To show the preview of the information objects, choose View ® Object preview.

Result

The contents of a selected content object are displayed in the lower part of the Explorer window.

Only short information is displayed for structures.

The preview is shown if Object preview is marked. Otherwise it is hidden.


Setting the Display View for the Information Objects

Use

This procedure defines how the list of information objects should be displayed.

You can select:

  • Small icons
  • List
  • Detail

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Procedure

To set the display view, choose View ® Small icons/List/Detail.

Result

The list is set up as you requested. The display view is marked in the menu.

If you selected Detail, all the attributes you selected with the function Settings ® Knowledge Warehouse ® Display attributes are displayed.


Sorting the List of Information Objects

Use

You can sort the list of information objects with this procedure.

The attributes that you selected with the Display Attributes function are offered as sort criteria.

Prerequisites

You are in the Knowledge Workbench and have opened an Explorer window.

Procedure

To sort the list of information objects, choose View ® Arrange icons by ® ....

Result

The list of information objects is sorted according to your selection.

Once you have sorted the list, the attribute is marked in the menu.


Management of Folders

Use

You can create and manage folders that are used as a container for groups of information objects in the Knowledge Workbench. With a few exceptions (for example, deleting folders), the same functions are available in the Knowledge Workbench as are with the SAP Knowledge Warehouse System.

Integration

When you work with the Knowledge Workbench in online mode, you have access to all the folders of the Knowledge Warehouse.

Your favorites are stored in the Knowledge Warehouse SAP System.

Features

In the Knowledge Workbench you can:

  • create new folders
  • find folders
  • add folders to your favorites
  • remove folders from your favorites
  • display folder attributes


Creating a Folder

Use

You can create a new folder directly in the Knowledge Warehouse or first create it in the Local Repository and then add it to your favorites.

You should always create a new folder when you create a new project.

Prerequisites

You are in the Knowledge Workbench.

You have authorization to create folders.

Procedure

To create a folder:

  1. Place the cursor on any node in the Knowledge Warehouse or Local Repository.
  2. Choose Info object ® New ® Folder...

    3. The Create Folder Wizard appears to support you in creating the folder.

  3. Choose Continue.
  4. Enter the area in which your folder should be created and choose Continue.
  5. Specify the folder attributes.

    6. If you maintained default values for info object class Folder in the area chosen, the fields are already defined.

  6. Choose Finish.

Result

A new folder created in the Knowledge Warehouse is inserted as the uppermost node in the structure of your favorites. When you refresh the favorites, the folders are sorted in alphabetical order.

A new folder created in the Local Repository is stored in the Local Repository. In this case the folder only appears in the Knowledge Warehouse once you have checked it in and added it to your favorites.

You can only check in folders containing information objects.


Finding a Folder and Displaying it in the Explorer Window

Use

You can find folders in the Knowledge Warehouse and then display a folder in an Explorer window.

Prerequisites

You are in the Knowledge Workbench.

Procedure

To find a folder in the Knowledge Warehouse:

  1. Choose Edit ® Find ® Folders in the Knowledge Warehouse...

The Find Folder dialog box appears.
  2. Choose the area where you want to search for the folder.
  3. To improve system performance, restrict the search with selection criteria.

SAP recommends that you use the technical name for the search since it is the fastest.
  4. Start the search.

    5. The folders found are listed.

  5. Choose the folder to be displayed in the Explorer window.

    6. The Select Folder Context dialog box appears.

  6. Choose the folder context.

Result

An Explorer window is opened.

The folder chosen and the information objects it contains in the given context are displayed in this Explorer window.


Organization of the Favorites

Use

You can add folders you use regularly to the favorites.

Integration

The Favorites are stored user-specifically.

Prerequisites

You are in the Knowledge Workbench.

Features

You can add folders to your Favorites or remove them from the Favorites.

You can create folders in the Knowledge Warehouse and insert them in your Favorites.

You can insert folders from the entry structure in your Favorites.


Creating Folders and Adding them to the Favorites

Prerequisites

You are in the Knowledge Workbench.

You have authorization to create a folder.

Procedure

To create a folder and add it to the Favorites:

  1. Choose Tools ® Organize Favorites.

The Organization of Favorites dialog box appears.
  2. Choose Create folder.

The Create Folder Wizard appears to support you in creating the folder.

  3. Choose Continue.
  4. Enter the area in which your folder should be created and choose Continue.
  5. Specify the folder attributes.

    6. If you maintained default values for info object class Folder in the selected area, the fields are already defined.

  6. Choose Finish.

Result

The folder is created and added to the favorites.


Adding Folders to the Favorites

Use

You want to add folders that you access regularly to your favorites.

Prerequisites

You are in the Knowledge Workbench.

Procedure

Add a Selected Folder from the Entry Structure

To add a folder to the favorites from the displayed entry structure:

  1. Select a folder in the initial structure.
  2. Choose Info object ® Add to favorites.

Add a Folder

To add a folder to the favorites from the Knowledge Warehouse:

  1. Choose Tools ® Organize favorites.

The Organization of Favorites dialog box appears.
  2. Choose Insert folder.

The Select a Folder dialog box appears.
  3. Select the area where you want to search for the folder.
  4. To improve system performance, restrict the search with selection criteria.

SAP recommends that you use the technical name for the search since it is the fastest.
  5. Start the search.

    6. The folders found are listed.

  6. Select the folder to be added to the favorites.

Result

The selected folder is added to the favorites.


Removing Folders from the Favorites

Prerequisites

You are in the Knowledge Workbench.

Procedure

To remove a folder from the favorites:

  1. Mark the folder you want to remove from the favorites.
  2. Choose Info Object ® Remove from favorites.

Result

The selected folder is removed from the favorites.


Displaying Folder Attributes

Prerequisites

You are in the Knowledge Workbench.

A folder is open in the Explorer window.

Procedure

To display the folder attributes:

  1. Select a folder.
  2. Choose Info object ® Display info object attributes.

The Info Object Attributes dialog box appears:

Result

The attributes of the selected folder are displayed on different tab pages.


Searching for Folders or Information Objects

Use

You can find folders or information objects.

Integration

This function is provided:

  • as a separate function from the menu
  • when you insert hyperlinks into content objects
  • when you insert existing information objects into a structure

Prerequisites

You must be working in online mode in the Knowledge Workbench in order to search for folders or information objects in the Knowledge Warehouse.

Features

You can search for

  • information objects in the Local Repository
  • information objects in the Knowledge Warehouse
  • folders in the Knowledge Warehouse

Activities

Choose Edit ® Find and then one of the search options offered.


Finding Information Objects in the Local Repository

Use

You can find checked out information objects in the Local Repository.

Prerequisites

There are information objects in the Local Repository.

Procedure

To find information objects in the Local Repository:

  1. Choose Edit ® Find ® Info Objects in the Local Repository

    2. A dialog box appears in which you can set the context in which you want to search for the information objects.

  2. Set the required context:

    3. You go to a dialog box in which you can enter the search criteria.

  3. Enter suitable search criteria and choose Find.

The information objects corresponding to your search criteria are displayed.

Result

The information objects found are displayed in an Explorer window where they can be viewed or edited.


Finding Information Objects in the Knowledge Warehouse

Use

You can find information objects in the Knowledge Warehouse.

Prerequisites

To search the Knowledge Warehouse, you must be logged onto the Knowledge Warehouse SAP System.

Procedure

To find information objects:

  1. Choose Edit ® Find ® Info Objects in the Knowledge Warehouse

    2. A dialog box appears in which you can set the context in which you want to search for the information objects.

  2. Set the required context:

    3. You go to a dialog box in which you can enter the search criteria.

  3. Enter suitable search criteria and choose Find.

The information objects corresponding to your search criteria are displayed.

Result

The information objects found are displayed in an Explorer window where they can be viewed or edited.


Finding Folders in the Knowledge Warehouse

Prerequisites

To search the Knowledge Warehouse, you must be logged onto the Knowledge Warehouse SAP System.

Procedure

To find folders:

  1. Choose Edit ® Find ® Folders in the Knowledge Warehouse.
  2. Select the area where you want to search for the folder.
  3. Enter suitable search criteria and choose Find.

    4. A list containing the folders corresponding to your search criteria is displayed.

  4. Select a folder.

A diolog box appears in which you can enter the context. The information objects of the folder are displayed in the selected context.

Result

The information objects of the selected folder are displayed in an Explorer window where they can be viewed or edited.


Creation of New Information Objects

Use

With the Knowledge Workbench you can create all kinds of information objects that are available in the Knowledge Warehouse.

Features

The information objects you create are stored in your Local Repository until you check them into the Knowledge Warehouse . Only then can they be accessed by other Knowledge Warehouse users.

Information objects are always created in folders. Each folder is assigned to an area. You can only create information objects in the info object classes that exist in the particular area.

In addition to the functions for creating individual information objects, the Knowledge Workbench offers a function for creating several information objects at once from an existing PowerPoint presentation or Web page.


Creating Structures

Procedure

To create a structure:

  1. Select the folder in which you want to create the structure.

    2. This can be a folder in the Knowledge Warehouse or in the Local Repository. In any case, the structure will be created in the Local Repository.

  2. Choose Info Object ® New ® Structure Object...

    3. The Create New Structure Object wizard appears.

  3. Choose Continue.

    4. If you create a structure in the Intranet Management area, choose info object class Structure and then Continue.

  4. Assign the structure a content object as root object by creating a content object or using an existing content object.

To create a new content object as root object:
    1. Choose Create Root Object >>>.

      2. The Create New Content Object wizard appears.

    2. Choose Continue.
    3. Choose the content type for the new content object and continue.
    4. Choose Finish.

To use an existing content object as root object:
    1. Choose Select root object >>>.

      2. The Find Info Object dialog box appears.

    2. Specify how you want to search for the information object and choose Continue.
    3. To improve performance, enter suitable search criteria.
    4. Start the search.

      5. The information objects found are displayed.

    5. Choose the information object to be used as root object of your structure and choose Ok.

The Create New Structure Object wizard appears again.

  5. Choose Continue.
  6. Enter the attributes for the new structure.

    7. If you maintained default values, the fields are already defined.

  7. Choose Finish.

Result

The structure is created in the Local Repository in the folder chosen.

If you chose a folder in the Knowledge Warehouse, the structure is created in the (temporary) folder of the same name in the Local Repository.

The root object is now defined as the content object you created or chose.


Creating Content Objects

Use

Use this procedure to create new content objects in info class Slide, Text, Topic or HTML.

HTML objects are used in the Intranet Management area. They are edited with an HTML editor.

Slides are the most common type of content object used in the Training area. They are edited with MS PowerPoint.

Texts are used in the Training area while topics are used in the Documentation area. Both are edited with MS Word.

Procedure

To create a content object:

  1. Open the folder in which you want to create the new content object.
  2. Check that the context is set correctly.
  3. Choose Info Object ® New ® Info Object...

    4. The Create New Content Object wizard appears.

  4. Choose Continue.
  5. Choose the content type for the new content object and continue.
  6. Enter the attributes for the new content object.

    7. If you maintained default values, the fields are already defined.

  7. Choose Finish.

Result

The content object is created in the Local Repository.


Creating a Multimedia Object

Use

Use this procedure to create a new content object of info object class Multimedia Object.

You can check in any document that has been modeled with the Document Modeling Workshop as a multimedia object.

In contrast to content objects of info object classes Slide, Text, and Topic, no editing functions are provided in the Knowledge Warehouse for editing the content of multimedia objects. Content editing of multimedia objects is done outside the Knowledge Warehouse with any MS Windows application. Therefore you can link to multimedia objects from slides, texts, topics, and structures, but you cannot link from multimedia objects to other content objects.

Prerequisites

To be able to check in a multimedia file as a multimedia object, its file format must be registered as a format in the Knowledge Warehouse. Also, the application for editing or viewing the object must be installed on the PC.

Procedure

To create a multimedia object:

  1. Open the folder in which you want to create the new multimedia object.
  2. Check that the context is set correctly.
  3. Choose Info Object ® New ® Info Object from Existing File.

    4. You go to a dialog box where you can navigate in your file system.

  4. Go to the directory containing the multimedia file.
  5. Choose the file and choose Open.

The Create Information Objects wizard appears.

The multimedia file is assigned info object class Multimedia object.
  5. Enter the attributes for the new multimedia object.

    6. If you maintained default values, the fields are already defined.

    A list appears containing the multimedia file created as multimedia object.

  6. Choose Finish.

Result

The multimedia object is created in the Local Repository.


Creating Information Objects from an Existing File

Use

Use this procedure to take a Web page and all its components or PowerPoint presentation containing any number of slides and check them in to the Knowledge Warehouse as individual information objects.

When you check in a PowerPoint presentation a structure is created which references the slide objects in the same sequence as they appear in the PowerPoint presentation.

Procedure

To create information objects from a PowerPoint presentation or Web page:

  1. In the Local Repository or Knowledge Warehouse, open the folder to contain the information objects you want to create from the PowerPoint presentation or Web page.
  2. Check that the context is set correctly.
  3. Mark the PowerPoint files or Web page in the local file system and drag them to the folder that is to contain the information objects.

The Create Info Object wizard appears.
  4. Choose Continue.

The selected file(s) appear.

You can change the info object class when you import the files (Change Info Object Class Assignment >>>).

Choose this option only if you want to check in the PowerPoint presentation or Web page as an individual general information object.
  5. Choose Continue.

    6. The files are edited.

  6. Enter the attributes for the new information objects by choosing the relevant information object.

    7. If you maintained default values, the fields are already defined.

    The list of information objects to be created from the Web page or PowerPoint presentation is displayed.

  7. Choose Finish.

Result

The system creates the information objects in the Local Repository using the file(s) you chose.


Exporting a Training Unit

Use

You can chose your own PowerPoint presentations using the exported training unit.

Prerequisites

You are in the Knowledge Workbench.

A training unit only has one sublevel.

Procedure

To export a unit:

  1. In the Knowledge Warehouse choose the structure that contains the unit to be exported.
  2. Choose Info Object ® Display Maintenance Format.

    3. The structure is checked out for display and stored in the Local Repository. Then it is opened write protected in the Structure Editor.

  3. Position the cursor on the first slide of the training unit.
  4. Choose Info Object ® Export Unit to Local File System.

    5. A dialog box appears in which you can enter the path where you can store the unit as a PowerPoint file.

  5. Set the path.
  6. Enter the name of a file and choose Save.

Result

The unit is exported and stored in the entered path as a PowerPoint file.

The individual objects are checked out for display and stored in the Local Repository.


Checking Out Information Objects

Use

As well as checking out information objects automatically through editing them, you can check them out without editing them immediately.

This function is useful for work scheduling.

When they are checked out, information objects are stored on the PC so that they can access all objects having the same context .

The following context parameters are used in local storage:

  • Language
  • Release
  • User
  • Processing mode
  • R/3 System from which the information objects were checked out

The context is enhanced by these attributes to define a local worklist on the PC.

You cannot access information objects that have been
  • checked out by different users
  • checked out in different processing modes
  • checked out in different SAP Systems.

Information objects checked out of different folders are stored in the same local context (work package) if they have its attributes.

In the Knowledge Warehouse you can access all information objects of one local context at the same time. Information objects can only be edited by the user who checked them out.

Integration

When you check information objects back in, the SAP System and user must be the same as in the local context.

Prerequisites

You are in the initial screen and want to check out information objects for offline editing on the PC.

The information objects are not currently checked out changeably by another user.

Features

Information objects can be checked out as changeable or for viewing only

  • Information objects that are checked out changeably can be edited. Other users cannot change them. But they can display these objects and link to them.
  • Information objects that are checked out for viewing only can be displayed, but not changed.

You can check out a selection of information objects, or all information objects that belong to a structure (only in the Structure Editor)


Checking Out Information Objects Changeably

Use

You want to check out several information objects at a time without editing them immediately.

Prerequisites

You have opened the Info Object List of the folder containing the information objects that should be checked out.

The information objects are not currently checked out changeably by another user.

Procedure

  1. Choose the information objects you want to check out (use Shift or Ctrl).
  2. Choose Info Object ® Check out ® To Change

Result

The selected information objects are checked out and stored in a local context on the PC.

You can now edit the information objects even without a link to the Knowledge Warehouse.


Checking Out Information Objects to View

Use

You want to check out several information objects at once to use them in your structure or content objects without having to access the Knowledge Warehouse.

Prerequisites

You have opened the Info Object List of the folder containing the information objects that should be checked out.

Procedure

  1. Choose the information objects you want to check out (use Shift or Ctrl).
  2. Choose Info Object ® Check Out ® To View

Result

The chosen information objects are checked out and stored in a local context on the PC. They are not locked in the Knowledge Warehouse and can be edited by another author.

You can now display the information objects or set links to them even without a link to the Knowledge Warehouse.


Checking Out Information Objects from a Structure

Use

You want to check out all of the information objects in a structure to change them or view them.

Prerequisites

You have opened a structure in the Structure Editor.

Procedure

All information objects

In the Structure Editor choose Info Object ® Check Out ® Change Entire Structure or Info Object ® Check Out ® View Entire Structure.

Selection of information objects

To check out several information objects:

  1. Using Shift or Ctrl choose the information objects that should be checked out in the right hand side of the window.
  2. In the Structure Editor choose Info Object ® Check Out ® Change, or Info Object ® Check Out ® View

Result

The information objects chosen are checked out and stored in the Local Repository.


Editing Content Objects

Use

In the Knowledge Workbench you edit content objects of info object classes Slide, Text and Topic using MS PowerPoint or MS Word. Both editors are integrated in the Knowledge Workbench and are automatically called when you edit content objects. They were enhanced with special Knowledge Warehouse editing functions.

Content objects of info object class HTML can be edited in a special HTML editor provided by the Knowledge Warehouse.

You can also and edit multimedia objects (info object class Multimedia object) that were created with Windows applications (such as Lotus ScreenCam). However, no special Knowledge Warehouse editing functions are provided for these info objects.

Integration

With the Knowledge Workbench, all the contents are edited locally on your PC in the Local Repository.

When you select objects in the Knowledge Warehouse and call the editing function, the objects are automatically downloaded to the Local Repository on your PC and locked for changes by other users.

Once you have finished editing the content objects in the Local Repository, you must check them in.

Prerequisites

If you want to edit content objects from the Knowledge Warehouse and you have not yet downloaded these objects to the Local Repository, you must work with the Knowledge Workbench in online mode.

The content objects to be edited may not have been checked out of the Knowledge Warehouse by another user. Content objects that were checked out by other users may only be viewed.

Functionality

The following editing functions are available for the different types of content objects:

Slide, Text and Topic (Editors: PowerPoint and Word)

  • Edit contents
  • Insert standard icons
  • Insert hyperlinks to other content objects , including IMG documents and SAP glossary terms (that are delivered as part of the Knowledge Warehouse)

HTML (Editor: HTML editor of the Knowledge Warehouse)

  • Edit contents
  • Insert graphics
  • Insert hyperlinks to other content objects

Multimedia Object (Editor: MS Windows Application)

  • Edit contents (if relevant application is installed locally) or else update info object by checking in new object file

Activities

You can edit a selection of content objects directly from a folder's Info Object List, or you can edit them while maintaining a structure with the Knowledge Workbench structure editor.


Enhancement of Info Objects

Use

In enhancements you can use SAP information objects or information objects of other basic Basis contexts by:

  • linking to SAP information objects or information objects of other basic Basis contexts

You can link to or include structures.
  • creating enhancements to information objects and modifying these enhancements to meet your requirements

The following diagram shows how you can use SAP structures.

To reuse standard SAP structures unchanged in your enhancement, either link to it (I.a) or include it (I.b). If a subsequent enhancement release is based on a more recent SAP release, this kind of reuse automatically uses the most recent SAP structure version.

If you only want to use a SAP structure in your enhancements in modified form, you must first create an enhancement version of the structure. This can then be modified and if necessary referenced with a link (II.a) or an include (II.b).

Enhancing SAP objects has the following advantages compared to creating information objects:

  • It saves the effort required to create the structure and topics. This is particularly significant when only minor modifications should be made to the standard system.
  • Standard R/3 links remain valid. These links can thus be used unchanged in an enhancement.
  • Links to the info objects remain valid and the enhancement object now appears in the enhancement context in all places that link to the SAP object on which it is based.

Activities

You link enhancement objects to SAP objects with Hyperlinks (see Maintaining Hyperlinks ).

You link enhancement structures to SAP objects by putting them in the structure (see Putting Info Objects in a Structure ).

You link enhancement structures to SAP structures by putting them in the structure as a link or an include (see Putting Info Objects in a Structure ).

You create and modify enhancement versions of SAP objects.

The next time the SAP contents are updated, you can check which SAP information objects were changed using the structure comparison and with the modification list .


Creating an Information Object Enhancement

Use

Create enhancements to reuse SAP information objects in modified form in your maintained enhancement content.

Prerequisites

  • You are in an enhancement context in an Info Object List (SAPgui front end) or in an Explorer window (Knowledge Workbench).
  • The structure objects have not already been enhanced in the current context. Only the enhancement (name), and not the enhancement release, is relevant here.

Procedure

Knowledge Workbench

  1. Choose an information object.
  2. Choose Info Object(s) ® Edit

    3. A message appears that the info object does not exist in the current context and you must first create an enhancement before you can edit it.

  3. Choose Continue.

SAPgui Front end

  1. Choose one or more information objects.
  2. Choose Info Object ® Enhancement ® Create.

The chosen information objects are now highlighted in gray, and not yellow ("not changeable in the current context").

The enhancement context values (enhancement name and release) are assigned to the information object attributes Enhancement and Change Release.

Result

Copies of the chosen info objects are created as enhancement context versions.

You cannot create another enhancement of an enhanced information object in the same enhancement context. To reset an enhanced and modified Info Object to its previous state, or to use an updated version of the SAP object, you can copy the version into the enhancement context .


Editing and Saving Slides

Use

You can edit content objects of info object class Slide in PowerPoint.

You can edit slides that are in the Knowledge Warehouse or Local Repository. The slides are stored in the Local Repository during editing.

There are the following functions:

  • Edit one or more slides
  • Edit the slides of a chapter
  • Set hyperlinks

Prerequisites

To have access to slides in the Knowledge Warehouse, you must start the Knowledge Workbench in online mode.

Procedure

Select one or more slides and choose Info object ® Edit info object(s).

In the structure editor, select a chapter (structure nodes with a lower level) and choose Info object ® Edit chapter.

Result

The slide was edited.

  • If you did not finish the editing process, it stays open and is displayed in the folder at the end of the Info Object List.

It is marked with the following icon:

When you refresh the display, all the open editing processes are at the beginning of the Info Object List.

You can continue the editing process.
  • If you finished the editing process, the following actions are taken:
    • New content objects were created in the Local Repository.
    • Modified content objects were updated in the Local Repository.
    • The modified structure was updated in the Local Repository.


Editing Slides

Prerequisites

If the content objects are not yet downloaded to the Local Repository on your PC, you have to start the Knowledge Workbench in online mode to have access to the Knowledge Warehouse.

You have opened the folder with the content objects in an Explorer window or you are editing a structure that contains the content objects.

Procedure

Editing Slides from the Info Object List of the Folder

  1. In the Knowledge Warehouse, choose the slides to be edited.

    2. If you want to edit slides that have already been checked out , choose the slides in the local repository.

  2. Choose Info Object ® Edit Info Object(s).

    3. The chosen content objects are downloaded from the Knowledge Warehouse to the Local Repository. PowerPoint is opened with a file containing the slides.

    To view the content objects together with their folder in the Local Repository, select the node of the Local Repository in the Explorer window and refresh the display.

  3. Edit the slides in PowerPoint.
  4. Save your changes.

    5. For more information on saving the file see Saving the File .

  5. Close the file.

    6. For more information on closing the file see Closing the File .

  6. Close PowerPoint.

For more information on closing PowerPoint see Closing PowerPoint .

Editing Slides with the Structure Editor during Structure Maintenance

You can also edit slides from the Structure Editor:

  • To edit individual slides, choose a slide of the structure that you are just editing, and continue as described above.
  • To edit all the slides of a unit of the training course, follow the instructions in Editing a Unit of a Training Course .

If you have only checked out the structure, and not the slides it contains, then you can start the check out of all the slides it contains in the Structure Editor.

Result

The slides are saved and PowerPoint is closed. The Changed attribute is given the value Yes for the edited slides in the Local Repository.


Editing a Unit of a Training Course

Prerequisites

You are editing the course structure in the Structure Editor.

A unit can only have one sublevel.

Procedure

To edit a unit:

  1. Check that the context is set correctly.
  2. Choose the initial node of a unit in the structure.

    3. The nodes below the initial node all have to be end nodes.

  3. Choose Info Object ® Edit Unit.

    4. The content object of the initial node and all subordinate content objects are opened.

    If you choose Info Object ® Edit Info Object(s), only the initial node of the unit is opened.

  4. Edit the contents of the slides and change the order of the slides in the PowerPoint file as required.
  1. Save your changes.

    2. For more information on saving the file see Saving the File .

  6. Close the file.

    7. For more information on closing the file see Closing the File .

  7. Close PowerPoint.

For more information on closing PowerPoint see Closing PowerPoint .

Result

The slides are saved and PowerPoint is closed.

The Changed attribute is given the value Yes in the Local Repository for the edited slides and structure.


Maintaining Hyperlinks in Slides

Prerequisites

You are in the Knowledge Workbench.

You opened a slide.

Procedure

Inserting Hyperlinks

To insert a hyperlink:

  1. Mark where the hyperlink or text to be used as hotspot for the hyperlink should be inserted.
  2. Choose SAP ® Insert Link to Info Object.

    3. A dialog box appears in which you can define how you want to search for the content object.

    If the Find Info Object dialog box does not appear, use ALT+Tab to bring it to the foreground.

  3. Navigate to the folder containing the desired content object or enter search criteria for finding the content object.
  4. Select the content object and choose OK.

A hyperlink to the selected content object is inserted. If no text was selected, the title of the object is used as hotspot for the hyperlink.

The hyperlink is highlighted in yellow and underscored.

Deleting a Hyperlink

To delete a hyperlink:

  1. Select the hotspot of the hyperlink.
  2. Choose Edit ® Cut or press ENTF .

The hyperlink is deleted from the document together with the hotspot.

Changing a Hyperlink Hotspot

To change a hyperlink hotspot:

  1. Select the hotspot of the hyperlink.
  2. Overwrite the text.


Saving a File

Use

You can save new or modified slides with this procedure.

Prerequisites

You are in the Knowledge Workbench and have opened a PowerPoint slide.

Procedure

To save a file once you have finished editing it:

  1. Choose SAP ® Save and Finish.

    2. A dialog box appears in which you can confirm that you want to save each of the content objects.

  2. Select the content objects to be created or saved.
  3. Choose Continue.

The changes were saved. The PowerPoint file was closed. The editing process was finished:
    • New content objects were created in the Local Repository.
    • Modified content objects were updated in the Local Repository.
    • The modified structure was updated in the Local Repository.

If you want to save the file and then continue editing it:

  1. Choose SAP ® Save.

    2. The changes are saved.

    The editing process stays open and is displayed in the folder at the end of the Info Object List.

    It is marked with the following icon:

    When you refresh the display, all the open editing processes are at the beginning of the Info Object List.

    The file stays open in PowerPoint and you can continue your work.

  2. To close the file, choose SAP ® Close.

The file is closed.

You can find further information about closing the file in Closing the File .


Closing a File

Use

This procedure closes a PowerPoint file.

Prerequisites

You are in the Knowledge Workbench and have opened a PowerPoint file.

Procedure

To close the file:

  1. Choose SAP ® Close.

    2. Do not use the MS PowerPoint functions to close the file.

    They do not correctly close the editing process for slides in the Knowledge Workbench.

  2. Specify whether you want to save the changes.
  3. Specify whether you want to finish the editing process.

Result

The results for the Close function are shown in the following graphic:
  • If you answer the questions on saving the file and finishing the editing process with Yes, the changes are saved.

If you opened more than one slide or a chapter in a file, a dialog box appears in which you can confirm whether you want to save the changes for each content object.

The PowerPoint file was closed.

The editing process was finished:
    • New content objects were created in the Local Repository.
    • Modified content objects were updated in the Local Repository.
    • The modified structure was updated in the Local Repository.
  • If you answer the questions on saving the file and finishing the editing process with No, the changes are not saved.

The PowerPoint file was closed.

The editing process stays open and is displayed in the folder at the end of the Info Object List.

It is marked with the following icon:

When you refresh the display, all the open editing processes are at the beginning of the Info Object List.

You can continue editing the file at a later time.

  • If you answered the question about finishing the editing process with No, it stays open and is displayed in the folder at the end of the Info Object List.

It is marked with the following icon:

When you refresh the display, all the open editing processes are at the beginning of the Info Object List.

You can continue editing the file at a later time.


Closing PowerPoint

Use

This procedure closes a PowerPoint application.

Prerequisites

You are in the Knowledge Workbench.

You closed all files in PowerPoint.

Procedure

To close the PowerPoint application choose File ® Close.

Result

The PowerPoint application is closed.


Continuing File Editing

Use

This procedure is used to continue file editing if you

  • have not finished the file editing process
  • have not yet checked the content objects into the Knowledge Warehouse.

Prerequisites

You are in the Knowledge Workbench.

Procedure

Continue editing if the editing process has not been finished

To continue the file editing process:

  1. Choose the relevant editing process.

It is marked with the following icon:

You can only select one editing process at a time to continue editing in PowerPoint.
  2. Choose Info object ® Edit info object(s).

Continue editing if the content objects have not yet been checked into the Knowledge Warehouse

To continue editing the content objects, choose the relevant content objects and choose Info Object ® Edit Info Object(s).

The content objects are opened again in PowerPoint. You can continue editing.

Result

The file is opened again in PowerPoint. You can continue editing.


Terminating the Editing Process

Use

If the files can no longer be opened in PowerPoint, you can terminate the editing process.

All the changes are deleted, even if they were already saved.

To terminate an open editing process whose file can be opened, use the functions for editing slides .

Prerequisites

You are in the Knowledge Workbench.

There is an editing process that has not been finished.

It is marked with the following icon:

This editing process cannot be continued because the file cannot be opened

Procedure

To terminate an editing process without opening the file in PowerPoint:

  1. Choose the editing process whose file cannot be opened in PowerPoint.
  2. Choose Info Object ® Display Attributes.

    3. The Attributes of the Editing Process dialog box appears.

  3. Choose tab page Tools.
  4. Choose End Now in the End Editing Process frame.

    5. All the changes are deleted, even if they were already saved.

  5. Confirm.

Result

The editing process is terminated.


Editing Texts and Topics

Use

This procedure can be used to edit texts of the Training area and topics of the Documentation area.

Prerequisites

You are in the Knowledge Workbench.

If the content objects are not yet downloaded to the Local Repository on your PC, you have to start the Knowledge Workbench in online mode to have access to the Knowledge Warehouse.

Procedure

Editing Texts and Topics from the Info Object List of the Folder

To edit content objects of info object class Text and Topic:

  1. In the Knowledge Warehouse, choose the text or topic to be edited.
  2. Choose Info Object ® Edit Info Object(s).

    3. If the content object chosen has not yet been checked out it is now downloaded from the Knowledge Warehouse to the Local Repository.

    To display the content object together with its folder in the Local Repository, choose the node of the Local Repository in the Explorer window and refresh the display.

    Word is opened.

  3. Edit the content object.
  4. Save your changes.
  5. Close the file.

A dialog box appears in which you can confirm that you want to save your changes to the content object.
  6. Choose the content object to be created or saved.
  7. Choose Continue.

Editing Texts and Topics with the Structure Editor during Structure Maintenance

To edit content objects of info object class Text and Topic within the Structure Editor:

If you have only checked out the structure, and not the content objects it contains, then you can start the check out of all the content objects it contains in the Structure Editor.
  1. Select the text or topic to be edited.
  2. Choose Info Object ® Edit Info Object(s).

If the content object chosen has not yet been checked out it is now downloaded from the Knowledge Warehouse to the Local Repository.

Word is opened.
  3. Edit the content object.
  4. Save your changes.
  5. Close the file.

A dialog box appears in which you can confirm that you want to save your changes to the content object.
  6. Select the content object to be created or saved.
  7. Choose Continue.

Result

The content object is saved and closed. The Changed attribute is given the value Yes for the edited content object in the Local Repository.


Inserting Hyperlinks in Texts and Topics

Use

You can insert hyperlinks to other content objects

Prerequisites

You are in the Knowledge Workbench.

You are editing a text or topic in MS Word.

Procedure

Inserting Hyperlinks

To insert a hyperlink:

  1. Choose where the hyperlink or text to be used as hotspot for the hyperlink should be inserted.
  2. Choose SAPKW ® Insert Link.

    3. A dialog box is displayed offering several ways to find the content object you want to define as hyperlink target.

    If the Find Info Object dialog box does not appear, use ALT+Tab to bring it to the foreground.

  3. Navigate to the folder containing the desired content object or enter search criteria for finding the content object.
  4. Choose the content object and choose OK.

A hyperlink to the content object chosen is inserted. If no text has been chosen, the title of the object is used as hotspot for the hyperlink.

The hyperlink is highlighted in blue and underscored.

Result

A hyperlink to the content object chosen is inserted in the Word document.

The link hotspot is highlighted in blue and underscored.

Hyperlinks to glossary definitions can also be inserted in the same way.


Changing a Hyperlink

Use

You can change the hyperlink target or hotspot text.

Prerequisites

You have opened a content object containing hyperlinks.

Procedure

Changing the Hyperlink Target

To change the hyperlink target:

  1. Delete the hyperlink.
    • If you want to delete all the hyperlinks in a paragraph, select the entire paragraph and choose Ctrl 6 .
    • If there are multiple hyperlinks in the paragraph and you only want to delete one hyperlink, place the cursor in front of this hyperlink and choose Ctrl 6 .
  1. Set the new hyperlink.

Changing the Hyperlink Hotspot

To change a hyperlink hotspot:

  1. Select the hyperlink.
  2. Overwrite the hotspot with the new text.

Result

The hyperlink target or hotspot was changed.


Deleting a Hyperlink

Prerequisites

You have opened a content object containing hyperlinks in Word.

Procedure

To delete a hyperlink:

  • If you want to delete all the hyperlinks in a paragraph, choose the entire paragraph and choose Ctrl 6 .
  • If there are multiple hyperlinks in the paragraph and you only want to delete one hyperlink, place the cursor in front of this hyperlink and choose Ctrl 6 .

Result

The hyperlink is deleted.


Inserting Graphics in Texts or Topics

Use

You can insert graphics into your Texts and Topics. You can use all the graphic formats that are known to the Knowledge Warehouse.

Integration

During check in the graphics are converted into Web compatible formats.

Features

You can:

  • Insert a graphic from a file containing several graphics

You have a PowerPoint presentation with several graphics. In this PowerPoint presentation there is a graphic that you want to reuse in a Text or Topic.
  • Insert graphic file

In this PowerPoint presentation there is a graphic that you want to reuse in a Text or Topic.

Insert graphic objects

In this PowerPoint presentation there is a Bitmap graphic or GIF file which you want to reuse in a Text or Topic.

Activities

You insert the desired graphics.


Inserting a Graphic from a File Containing Several Graphics

Use

In topics or in text, you can detach a PowerPoint graphic from a file containing several graphics and insert it in your content object.

Prerequisites

You have opened a content object in Word.

You opened PowerPoint.

Procedure

To insert a graphic in the content object from a file containing several graphics:

  1. In the PowerPoint sort view, select the graphic you want to insert in your content object and copy it to the clipboard.
  2. Go to your content object in Word.
  3. Place the cursor where the graphic should be inserted.
  4. Choose Edit ® Insert contents.
  5. Select Microsoft PowerPoint slide object.
  6. Deactivate the options Put over text and As symbol.
  7. Choose OK.

Result

The PowerPoint graphic is inserted in your content object.


Inserting a Graphic File in Topics or Text

Prerequisites

You opened a content object.

You want to insert a graphic file, e.g. in bit map format (BMP).

If you want to translate your content objects, only use graphic files for which there is an editor (e.g. PowerPoint).

In this case use the procedure Inserting a Graphic Object in Topics or Text .

Procedure

  1. Choose the insertion position.
  2. Choose Insert ® Graphic ® from file ...

    3. The Insert Graphic dialog box appears.

  3. Deselect the options Link to file and Put over text.
  4. Select a file and choose Insert.
  5. Position the graphic by aligning the paragraph as left or right-justified or centered.

Result

The graphic file is embedded in the content object and is saved with the content object.

Graphics created in another application can only be inserted in a Word document if the appropriate graphic filter is installed. BMP files do not need a graphic filter.


Inserting a Graphic Object in Topics or Text

Prerequisites

You have opened a content object in Word. You want to insert a graphic file that was created with a Microsoft Windows application (e.g. PowerPoint) as an object in the content object.

The PowerPoint application is open.

Procedure

  1. Choose the insertion position.
  2. Choose Insert ® Object.

    3. The Object dialog box appears:

  3. Choose the tab page Create from file and deselect the options Link, Put over text and As symbol.
  4. Select a file and choose OK.
  5. Position the graphic by aligning the paragraph as left or right-justified or centered.

Result

The graphic file is embedded as an object in the content object and saved with the content object.

A graphic that is embedded as an object in a content object can be edited directly from Word with Edit ® <Application> object ® Open.


Inserting Standard Symbols in Topics

Prerequisites

You have opened a changeably checked out content object in Word.

Procedure

Inserting a Content Type Symbol in a Title

  1. Position the cursor in front of the first letter of the title.
  2. Choose SAPKW ® Insert Standard Symbol.

    3. The dialog box for choosing a standard symbol appears.

  3. Choose the symbol for the content type and choose OK.

Inserting a Symbol for a Note, Example or Caution

  1. Choose the insertion position.
  2. Choose SAPKW ® Insert Standard Symbol.

    3. The dialog box for choosing a standard symbol appears.

  3. Choose a symbol and choose OK.

Result

The symbol is inserted at the cursor position.


Editing HTML Objects

Use

With this procedure you can edit HTML objects in the Intranet Management area.

Prerequisites

You are in the Knowledge Workbench.

Procedure

Editing HTML Objects from the Info Object List of the Folder

To edit content objects of info object class HTML:

  1. In the Knowledge Warehouse, choose the HTML object to be edited.
  2. Choose Info Object ® Edit Info Object(s).

    3. If the content object chosen has not yet been checked out it is now downloaded from the Knowledge Warehouse to the Local Repository.

    To view the content object together with its folder in the Local Repository, choose the node of the Local Repository in the Explorer window and refresh the display.

    The HTML Editor provided in the Knowledge Warehouse is opened.

  3. Edit the content object.
  4. Save your changes.
  5. Close the file.

A dialog box appears in which you can confirm that you want to save your changes to the content object.
  6. Choose the content object to be created or saved.
  7. Choose Continue.

Editing HTML Objects in Structure or Directory Maintenance using the Structure Editor

To edit content objects of info object class HTML within the structure editor:

If you have only checked out the structure, and not the content objects it contains, then you can start the check out of all the content objects it contains in the Structure Editor.
  1. Choose the HTML object to be edited.
  2. Choose Info Object ® Edit Info Object(s).

The HTML Editor provided in the Knowledge Warehouse is opened.
  3. Edit the content object.
  4. Save your changes.
  5. Close the file.

A dialog box appears in which you can confirm that you want to save your changes to the content object.
  6. Choose the content object to be created or saved.
  7. Choose Continue.

Result

The content object is saved and closed. The Changed attribute is given the value Yes for the edited content object in the Local Repository.


Inserting a Table

Use

You can insert tables in HTML objects in the HTML Editor of the Knowledge Warehouse with this procedure.

Prerequisites

You are in the HTML Editor of the Knowledge Warehouse and have opened an HTML object.

Procedure

Proceed as follows to insert a table in an HTML object:

  1. Place the cursor where the table should be inserted.
  2. Choose Insert Table.

    3. A dialog box appears.

  3. Enter the number of rows and columns and choose OK.

Result

The table is inserted at the given position.


Inserting a Web Page or Graphic as Hyperlink

Use

You can insert hyperlinks in HTML objects in the HTML Editor of the Knowledge Warehouse with this procedure.

Prerequisites

You are in the HTML Editor of the Knowledge Warehouse and have opened an HTML object.

The web page or graphic you want to use as target object is displayed in the Web Browser.

Procedure

To insert a hyperlink:

  1. Copy the address of the web page or graphic to the clipboard.

To copy the address to the clipboard:
    1. Click on the web page or graphic and with the right mouse key choose Properties.
    2. Mark the entire address.
    3. Click on the marked address and choose Copy with the right mouse key.

The address is copied to the clipboard.
  1. Insert the hyperlink in the HTML object.

To insert the hyperlink in the HTML object:
    1. Mark the text to be used as a hotspot in the HTML Editor.
    2. Choose Insert hyperlink.

      3. The Hyperlink dialog box appears.

    3. Click on the empty field URL with the right mouse key and choose Paste.
    4. Check that the hyperlink is complete.
    5. Choose OK.

Result

The hyperlink is inserted.


Changing a Hyperlink

Use

You can change hyperlinks in HTML objects in the HTML Editor of the Knowledge Warehouse with this procedure.

Prerequisites

You are in the HTML Editor of the Knowledge Warehouse and have opened an HTML object.

Procedure

To change a hyperlink:

  1. Mark the text used as a hotspot.
  2. Choose Insert hyperlink.

    3. The Hyperlink dialog box appears.

  3. Enter the new hyperlink information and choose OK.

Result

The hyperlink target is changed.


Deleting a Hyperlink

Use

You can delete hyperlinks in HTML objects in the HTML Editor of the Knowledge Warehouse with this procedure.

Prerequisites

You are in the HTML Editor of the Knowledge Warehouse and have opened an HTML object.

Procedure

To delete a hyperlink:

  1. Place the cursor on the text containing the hyperlink.
  2. Choose Insert Hyperlink.

    3. The Hyperlink dialog box appears.

  3. Delete the hyperlink information and choose OK.

Result

The hyperlink is deleted. The text is no longer marked as a hotspot.


Inserting a Graphic

Use

You can insert graphics in HTML objects in the HTML Editor of the Knowledge Warehouse with this procedure.

Prerequisites

You are in the HTML Editor of the Knowledge Warehouse and have opened an HTML object.

Procedure

To insert a graphic:

  1. Position the cursor where the graphic should be inserted.
  2. Choose Insert Image.

    3. The Picture dialog box appears.

  3. Define the source of the graphic or choose it with Browse.
  4. Enter a text that is to appear if the graphic is not available.
  5. Enter the attributes for Layout and Spacing.
  6. Choose OK.

Result

The graphic is inserted at the cursor position.


Editing Multimedia Objects

Use

This procedure can be used to edit a multimedia object, e.g. a video or ScreenCam.

Prerequisites

The required software for editing multimedia objects must be installed on your PC.

You are in the Knowledge Workbench.

If the content objects are not yet downloaded to the Local Repository on your PC, you have to start the Knowledge Workbench in online mode to have access to the Knowledge Warehouse.

Procedure

  1. In the Knowledge Warehouse, choose the multimedia object to be edited.
  2. Choose Info Object ® Edit Info Object(s).

    3. If the content object chosen has not yet been checked out it is now downloaded from the Knowledge Warehouse to the Local Repository.

    If the required software for editing the multimedia object is installed on your PC, the software is started.

    To display the content object together with its folder in the Local Repository, choose the node of the Local Repository in the Explorer window and refresh the display.

  3. Edit the multimedia object.
  4. Save your changes.

Result

The content object is saved and the application is closed. The Changed attribute is given the value Yes for the edited content object in the Local Repository.


Structure Editing

Use

You can structure your information objects and edit directories in the Intranet Management area.

Directories in the Intranet Management area are edited just like structures. For this reason only structure editing is described in the following sections.

Integration

With the Knowledge Workbench, all the structures are edited locally on your PC in the Local Repository.

When you choose objects in the Knowledge Warehouse and call the editing function, the objects are automatically downloaded to the Local Repository on your PC and locked for changes by other users.

The information about the content objects referred to in the structure is also downloaded.

The content objects themselves are only downloaded if you

  • call up the editing function for content objects
  • check out the information objects

Structures are edited with the Structure Editor in the Knowledge Workbench. If you choose a structure or a directory for editing in the Knowledge Warehouse or Local Repository, the Structure Editor is started and the structure chosen is displayed.

Once you have finished editing the information objects in the Local Repository, you must check in the information objects.

Prerequisites

If you want to edit information objects from the Knowledge Warehouse and you have not yet downloaded these objects to the Local Repository, you must work with the Knowledge Workbench in online mode.

The information objects to be edited may not have been checked out of the Knowledge Warehouse by another user. Information objects that have been checked out by other users may only be viewed.

Features

A separate window of the Structure Editor is opened for each structure.

The window has two frames:

  • In the left frame, the structure is displayed as a tree whose nodes can be expanded and compressed. Actions for individual information objects can be executed in the tree view in the left frame.
  • In the right frame, the information objects of the node that is currently selected are displayed. If you want to perform actions for several objects at the same time, you must choose the objects in the right frame.

In the Structure Editor you can:

  • check out information objects of the structure to change or view them
  • insert information objects into a structure
    • from a folder in the Knowledge Warehouse or Local Repository
    • from a hit list created by searching the Knowledge Warehouse or Local Repository
  • remove information objects from a structure
  • move information objects within a structure
  • copy information objects within a structure
  • change the link type of an embedded structure (structure include to structure link or vice versa)
  • change and display attribute values of information objects

Activities

Choose the structure to be edited.

Start the Structure Editor with Info Object ® Edit Info Object(s).


Inserting a New Content Object in a Structure

Prerequisites

You are in the Knowledge Workbench.

You opened a structure in the Structure Editor.

Procedure

To insert a new content object in the structure:

  1. Position the cursor where the new content object should be inserted.
  2. Choose Edit ® New info object ® Before node ... or After node ... or As first subnode ... or As last subnode ...

    3. The Create New Content Object wizard appears.

  3. Choose Continue.
  4. Select the content type for the new content object and continue.
  5. Enter the attributes for the new content object.

    6. If you maintained default values, the fields are already defined.

  6. Choose Finish.

Result

The new content object is inserted in the structure.


Inserting Information Objects into a Structure

Use

You can insert any information objects that belong to the same area as the structure (for example Training).

Prerequisites

You are in the Knowledge Workbench.

You have opened the structure in which the information objects should be inserted in the Structure Editor.

Procedure

To insert an information object in the structure:

  1. Place the cursor where the information object should be inserted.
  2. Choose Edit ® New Info Object ® Before Node ... or After Node ... or As First Subnode ... or As Last Subnode ...

    3. The Find Info Object dialog box appears.

  3. Choose how you want to search for information objects.
  4. Choose Continue.
    • If you chose By Searching for a Folder, choose the folder to be searched in the Select a folder dialog box.
    • If you have chosen By Searching in the Local Repository, choose the local context to be searched in the Local Context dialog box.
    • If you have chosen By Searching for Info Objects in the Knowledge Warehouse, enter suitable search criteria in the Find Info Objects in the Knowledge Warehouse dialog box.
    • If you have chosen By Searching for a Folder in the Knowledge Warehouse, enter suitable search criteria in the Select A Folder dialog box.

The information objects found are displayed.
  5. Choose the information object to be inserted in the structure.
  6. Choose OK.

Result

The information object is inserted in the structure.

Only references to the information objects are inserted. No physical copies of the actual information objects are created.

The structure is inserted as a structure include.

The advantage of structure includes is that the screen does not change in the structure when the information objects are displayed.


Changing a Structure Include to a Structure Link

Use

A structure is inserted in a structure as a structure include.

You can change a structure include to a structure link with this procedure.

Prerequisites

You are in the Knowledge Workbench.

You have opened the structure containing the structure include in the Structure Editor.

Procedure

To change a structure include to a structure link:

  1. Choose the structure that was inserted as a structure include.
  2. Choose Edit ® Node Properties.

    3. The Node Properties dialog box appears.

  3. Choose Structure Link.

Result

The structure include was changed to a structure link.


Moving Information Objects Within a Structure

Prerequisites

You are in the Knowledge Workbench.

The structure is open in the Structure Editor.

Procedure

To move information objects within a structure:

  1. Choose the information objects to be moved.

    2. If you want to move one information object, choose this information object in the left frame of the Structure Editor.

    If you want to move more than one information object, choose this information object in the right frame of the Structure Editor.

  2. Pressing the left mouse key, drag the information objects chosen to the target position within the structure in the left frame of the Structure Editor.

When you let go of the mouse, a dialog box appears with the following entries:
    • Insert Before Node
    • Insert After Node
    • Insert as First Subnode
    • Insert as Last Subnode
  3. Choose an entry.

Result

The information object is moved to the new position in the structure.


Copying Information Objects Within a Structure

Prerequisites

You are in the Knowledge Workbench.

The structure is open in the Structure Editor.

Procedure

To copy information objects within a structure:

  1. Choose the information objects to be copied.

    2. If you want to copy an information object, choose it in the left frame of the Structure Editor.

    If you want to copy more than one information object, choose them in the right frame of the Structure Editor.

  2. Choose Edit ® Copy.
  3. Place the cursor within the structure in the left frame of the Structure Editor.
  4. Choose Edit ® Paste.

A dialog box appears with the following entries:
    • Before the Currently Selected Node
    • After the Currently Selected Node
    • As First Subnode of the Currently Selected Node
    • As Last Subnode of the Currently Selected Node
  5. Choose an entry.

Result

The information object is copied and inserted at the chosen position in the structure.

Only references to the information objects are inserted. No physical copies of the information objects are created.


Copying Information Objects between Structures

Prerequisites

You are in the Knowledge Workbench.

The source and target structures are each open in a window of the Structure Editor.

Procedure

To copy information objects between structures:

  1. Choose the information objects to be copied.

If you want to copy an information object, choose it in the left frame of the Structure Editor.

If you want to copy more than one information object, choose them in the right frame of the Structure Editor.
  2. Choose Edit ® Copy.
  3. Place the cursor in the other structure in the left frame of the Structure Editor.
  4. Choose Edit ® Paste.

A dialog box appears with the following entries:
    • Before the Currently Selected Node
    • After the Currently Selected Node
    • As First Subnode of the Currently Selected Node
    • As Last Subnode of the Currently Selected Node
  5. Choose an entry.

Result

The information object is copied between the structures and inserted at the chosen position in the other structure.

Only references to the information objects are inserted. No physical copies of the information objects are created.


Replacing Information Objects in the Structure

Prerequisites

You are in the Knowledge Workbench.

You have opened a structure in the Structure Editor.

Procedure

To replace a content object in the structure:

  1. Choose the content object to be replaced.
  2. Choose Edit ® Replace Selected Nodes.

The Find Info Object dialog box appears.
  3. Choose how you want to search for information objects.
  4. Choose Continue.
    • If you chose By Searching for a Folder, choose the folder to be searched in the Select a folder dialog box.
    • If you have chosen By Searching in the Local Repository, choose the local context to be searched in the Local Context dialog box.
    • If you have chosen By Searching for Info Objects in the Knowledge Warehouse, enter suitable search criteria in the Find Info Objects in the Knowledge Warehouse dialog box.
    • If you have chosen By Searching for a Folder in the Knowledge Warehouse, enter suitable search criteria in the Select A Folder dialog box.

The information objects found are displayed.
  5. Choose an information object.
  6. Choose OK.

Result

The information object is replaced by the information object chosen. The previous object is removed from the structure and the information object chosen is inserted.

The information object that you have removed is still available in the Knowledge Warehouse.


Removing Information Objects from a Structure

Prerequisites

You are in the Knowledge Workbench.

The structure is open in the Structure Editor.

Procedure

To remove information objects from the structure:

  1. Choose the information objects to be removed.

    2. If you want to remove one information object, choose this information object in the left frame of the Structure Editor.

    If you want to remove more than one information object, choose these information objects in the right frame of the Structure Editor.

  2. Choose Edit ® Remove Nodes or press Del .

Result

The information object is removed from the structure.

Only the reference to the information object is removed. The physical information object is not deleted and is still available in the Knowledge Warehouse.


Maintaining Information Object Attributes in Structures

Use

You can maintain and display the following information object attributes:

  • the type of link between a structure and another structure object that is embedded in the structure (structure link or structure include)
  • general attributes of information objects in a structure

Prerequisites

You are in the Knowledge Workbench.

The structure with the information objects is open in the Structure Editor.

Procedure

To call the individual functions listed in the below table, choose the information object in the structure and open the context menu with the right mouse key.

Function | Entry in context menu
Change type of link for chosen embedded structure | Node properties ...
Display attribute values of information objects chosen | Display attributes ...
Change attribute values of information objects chosen | Change attributes …
Display contexts in which there are versions of the information objects chosen | Display context list ...
Display information objects having a link to the information object chosen | Where-used list ...


Editing Directories

Use

With this procedure you can edit Web directories in the Intranet Management area.

The functions for editing directories are the same as those for editing structures. You should therefore read the documentation about editing structures .

In contrast to structures, directories can only have one level below the root object.


Checking Information Objects into the Knowledge Warehouse

Use

You can check information objects that you created or edited in the Local Repository into the Knowledge Warehouse with this procedure.

The (updated) contents of these objects are available to other Knowledge Warehouse users once you have checked in the information objects.

Prerequisites

You are working with the Knowledge Workbench in online mode.

The information objects have been newly created or changed.

Procedure

To check information objects into the Knowledge Warehouse:

  1. In the Local Repository, choose the information objects to be checked into the Knowledge Warehouse.

    2. You can only check in information objects having the value Yes for the attribute Changed.

  2. Choose Info Object ® Update Info Object(s).

    3. The information objects chosen are checked into the Knowledge Warehouse.

    A dialog box appears confirming that the check-in was successful.

  3. Choose OK.

Result

The information objects were checked into the Knowledge Warehouse.

If you previously checked the objects out of the Knowledge Warehouse for editing, the new (updated) versions of these objects are now available in the Knowledge Warehouse.

Only the information objects that you have not changed and have not created anew are still available in the Local Repository. You can continue working on these objects without checking them out again. If you no longer want to edit these information objects, you can remove them from the local repository.


Displaying and Changing Information Object Attributes

Use

The information objects in the Knowledge Warehouse have a number of attributes that describe the information objects or their development process, e.g. content type, status, and creation date.

Some attributes are assigned by the Knowledge Warehouse user and some by the R/3 System, depending on their functions.

Integration

All attributes can be used to search for information objects.

Features

You can display all the info object attributes of a chosen information object.

You can change the following info object attributes in the Knowledge Workbench:

  • Structures
    • Usage type
    • Status
  • Content objects
    • Status

If you created an information object in the Local Repository and have not yet checked it into the Knowledge Warehouse, you can change the person responsible and the technical name.

Otherwise you can maintain the info object attributes (such as the content type, technical name, person responsible) in the SAP System.


Displaying Info Object Attributes

Procedure

To display the info object attributes for a selected information object:

  1. Select an information object.
  2. Choose Info object ® Display info object attributes.

Result

The info object attributes for the selected information object are displayed in the Info Object Attributes dialog box on tab Attributes.


Changing Info Object Attributes

Use

You can change the following info object attributes in the Knowledge Workbench:

  • Structures
    • Usage type
    • Status
  • Content objects
    • Status

If you created an information object in the Local Repository and have not yet checked it into the Knowledge Warehouse, you can change the person responsible and the technical name.

Otherwise you can maintain the info object attributes (such as the content type, technical name, person responsible) in the SAP System.

Procedure

To change the info object attributes for a structure or for content objects:

  1. Choose an information object.
  2. Choose Info Object ® Change Info Object Attributes.

    3. The Info Object Attributes dialog box appears displaying the attributes that can be changed.

  3. Change the attributes and save your entries.

Result

The info object attributes for the information object chosen have been changed.


Info Object Status

Use

The Status attribute defines the processing status of an information object. It is maintained by authors and translators.

In processing mode Change, this attribute shows the processing status of an information object in the original language.

Features

There are the following info object statuses:

Status | Meaning
Migrated | Information object (IO) has been migrated to the Knowledge Warehouse and has not been changed.
Editing | IO has not yet been released in the current context for translation and delivery. It is not accessible for translation. This status is set automatically when an information object is checked out. It can also be set manually.
For release | This status is displayed when the authorization procedure is activated. IO was planned for release in the current context. This status is set manually when the author has completed work. This information object appears automatically in the Business Workflow inbox of the approving person. The approving person can set Released or Not Released status.
Not released | This status is displayed when the authorization procedure is activated. The author must revise the info object. This status is set manually when the approving person has completed work. This information object appears automatically in the Business Workflow inbox of the person responsible for the folder.
Released | IO has been released in the current context for translation and delivery. This status is set manually when the author or the approving person has completed work. This information object then appears automatically for translation. A translation status specifying if the information object is new (translation status: new) or has been changed (translation status: to be translated
Copy Editing | IO is being copy edited. This status is set manually. If the copy editing procedure is activated, the information object is sent to the copy editor via the Business Workflow. Otherwise this status is only for documentation purposes. The copy editor can set Released or Resubmit status.
Resubmit | This status is displayed when the copy editing procedure is activated. IO has not been copy edited. This status is set manually if the copy editor did not check the information object. This information object appears automatically in the Business Workflow inbox of the person responsible for the folder.
Review | IO is being reviewed. This status is set manually and is only for documentation purposes.


Changing the Info Object Status

Procedure

To change the info object status:

  1. Select an information object.
  2. Choose Info object ® Change info object attributes.

    3. The Info Object Attributes dialog box appears displaying the attributes that can be changed.

  3. Select a value for the info object status and save your entries.

Result

The status for the selected information object was changed.


Changing the Usage Type of Structures

Use

You can change the usage type of a structure.

The usage types are:

  • Book structure

You can display a book structure independently of other structures.

A book structure can be used as a structure link or a structure include.

An HTML help file (.chm) is created for each book structure when the static help is generated.
  • Substructure

You can only display a substructure from another structure.

A substructure can only be used as a structure include.

Procedure

To change the usage type for structures:

  1. Choose a structure.
  2. Choose Info Object ® Change Info Object Attributes.

    3. The Info Object Attributes dialog box appears displaying the attributes that can be changed.

  3. Choose a value for the usage type and save your entries.

Result

The usage type for the structure chosen was changed.


Displaying Information Objects from the Knowledge Workbench

Use

You can display information objects from the Knowledge Workbench.

Integration

The Web Browser is started when you choose information objects from the Knowledge Warehouse for display.

Prerequisites

You are in the Knowledge Workbench.

Features

There are the following display options:

Display Information Objects

  • Knowledge Warehouse

The information objects chosen are displayed in the Web Browser.
  • Local Repository

Only content objects can be displayed in the Local Repository. The relevant editor is started. The content object is read only.

Display Maintenance Format

  • Knowledge Warehouse

The information objects chosen are displayed in the relevant editor and cannot be changed. They are checked out for viewing and stored in the Local Repository with Display status.

  • Local Repository

The information objects chosen are displayed in the relevant editor and cannot be changed.

Activities

Choose Info Object ® Display Info Object(s) or Info Object ® Display Maintenance Format.


Displaying Information Objects in the Web Browser

Use

This procedure displays the current version of an information object in the Knowledge Warehouse in the Web Browser.

If the information object is currently checked out and being edited by another author, you will not see the changes that this author made to the information object in his Local Repository.

Prerequisites

You are working with the Knowledge Workbench in online mode.

Procedure

To display information objects in the Web Browser:

  1. In the Knowledge Warehouse, choose the information object you want to display in the Web Browser.
  2. Choose Info Object ® Display Info Object(s).

Result

The information object is displayed in the Web Browser.


Displaying Content Objects in the Local Repository

Use

You can display a content object that has been checked out for editing in the Local Repository.

Procedure

  1. Choose a content object in the Local Repository.
  2. Choose Info Object ® Display Info Object(s).

Result

The content object is displayed in the editor corresponding to the info object class of the object.

Since the HTML versions of content objects are only created when the objects are check into the Knowledge Warehouse, the content objects in the Local Repository are displayed in their maintenance format.


Displaying Information Objects in Maintenance Format

Prerequisites

You are in the Knowledge Workbench.

Procedure

  1. Choose an information object.
  2. Choose Info Object ® Display Maintenance Format.

Result

The information object chosen is checked out for viewing and stored in the Local Repository. Moreover it is displayed write-protected in the relevant Editor


Displaying the Where-Used List for Information Objects

Use

You can check where the information object is used.

Prerequisites

You have called up the Knowledge Workbench in online mode.

Procedure

To call up the where-used list for an information object:

  1. In the Knowledge Warehouse position the cursor on the information object whose where-used list you wish to display.
  2. Choose Info Object ® Where-Used List.

Result

The information objects in which the chosen information object is used are displayed.


Displaying Free Content Objects

Use

You can display content objects that are not used in any structure.

Prerequisites

You have called up the Knowledge Workbench in online mode.

Procedure

To display free content objects:

  1. In the Knowledge Warehouse open the folder in which you want to search for the free content object.
  2. Choose Tools ® Search in List for Information Objects Without Structure Usage.

Result

A list is created in which the free content objects are displayed.


Context List for Information Objects

Use

You can display which contexts have versions of an information object.

Prerequisites

You have called up the Knowledge Workbench in online mode.

Features

The following functions are offered in the context list:

  • Display which contexts have versions of an information object
  • Display the version in the Web Browser
  • Display the attributes of the information object version

Activities

Call up Context List .

Choose the required function with the right mouse key.


Displaying a Context List for an Information Object

Use

You can display which contexts have versions of an information object.

Prerequisites

You have called up the Knowledge Workbench in online mode.

Procedure

To display the contexts of an information object:

  1. In the Knowledge Warehouse position the cursor on the information object whose contexts you wish to display.
  2. Choose Info Object ® Display Context List.

Result

The contexts in which there are versions of the chosen information object are displayed.


Displaying a Version of an Information Object

Use

You can display a version in the Web Browser.

Prerequisites

You have called up the Knowledge Workbench in online mode.

You are in the context list of an information object.

Procedure

To display the version of an information object in the Web Browser:

  1. Position the cursor on the version you want to display in the Web Browser.
  2. Choose Display with the right mouse key.

Result

The Web Browser is started. The chosen version is displayed.


Displaying Attributes of the Info Object Version

Use

You can display the attributes of a version.

Prerequisites

You have called up the Knowledge Workbench in online mode.

You are in the context list of an information object.

Procedure

To display the attributes of a version:

  1. Position the cursor on the version whose attributes should be displayed.
  2. Choose Attributes with the right mouse key.

Result

The attributes are displayed.


Refreshing Content Templates

Use

If the content templates have been changed, you can refresh the content templates saved on the PC

Prerequisites

You have called up the Knowledge Workbench in online mode.

Procedure

To refresh the content templates choose Tools ® Local Repository ® Refresh Local Repository Content Templates.

Result

The content templates are refreshed.


Removing Information Objects from the Local Repository

Use

You can remove information objects from the Local Repository if you

  • have checked them out of the Knowledge Warehouse but do not want to update them
  • have created them anew in the Local Repository but do not want to check them in

Prerequisites

You are working with the Knowledge Workbench in online mode.

Procedure

To remove information objects from the Local Repository:

  1. Choose the information objects to be removed.

    2. If you created these information objects anew in the Local Repository, they are deleted and cannot be checked in again.

  2. Choose Info Object ® Remove Info Objects from the Local Repository or press Del .
  3. Confirm.

Result

The information objects chosen are removed from the Local Repository.

  • If you checked these information objects out of the Knowledge Warehouse, they are unlocked in the Knowledge Warehouse and can again be checked out by other authors for editing.
  • If you created these information objects anew in the Local Repository, they are deleted and cannot be checked in again.


Deleting Information Objects in the Knowledge Warehouse

Use

You can delete information objects from the Knowledge Warehouse

The information objects are no longer available in future contexts.

Prerequisites

You are working with the Knowledge Workbench in online mode.

Procedure

To delete information objects in the Knowledge Warehouse:

  1. Check the context.
  2. Choose the information objects to be deleted.
  3. Choose Info Object ® Remove Objects from the Knowledge Warehouse or press Del .
  4. Confirm.

Result

The information objects chosen are deleted from the Knowledge Warehouse and are no longer available in future contexts.


Unlocking Information Objects in the Knowledge Warehouse

Use

This procedure resets the checkout flag in the Knowledge Warehouse for information objects that were checked out but not checked in.

The information objects are unlocked and can be edited by other users.

This could be necessary if you have removed checked out information objects from the Local Repository and the Knowledge Workbench was in offline mode.

Prerequisites

You are working with the Knowledge Workbench in online mode.

Procedure

  1. Choose the information objects to be unlocked in the Knowledge Warehouse.
  2. Choose Info Object ® Reset Checkout.

You can no longer check in the information objects from the Local Repository once you have performed this action. All changes made to these objects are lost.

Result

The information objects are unlocked in the Knowledge Warehouse and can be edited by other users.


Glossary

Finding terms

To search for a glossary term, enter the term in the text field of the Index tab.

To search for a term in the full text, enter the term in the text field of the Search tab, and press Enter or the pushbutton List Topics.

Displaying terms

To display a term highlighted in the list box, double-click on it or press the pushbutton Display.


HTML Help Viewer Help

Use

With the HTML Help Viewer you can view the SAP Library in file format Compiled HTML (*.CHM).

Features

The HTML Help Viewer comprises:

  • A topic window for displaying the current help document.
  • A navigation window for displaying the current table of contents, the keyword search and the full-text search. (The navigation window can be hidden or shown: Hide/Show.)
  • A toolbar containing navigation and print functions, etc.

If you go to other help files while navigating through the online help, other HTML Help Viewer instances are opened. These instances can be closed individually. If you close the initial instance, all viewer instances are closed.

To go to the first page of the SAP Library, choose Home. You have access to the entire documentation from there: SAP Library, Glossary, Implementation Guide (IMG) and Release Notes.

Finding Help Documents

To find help documents:

  • Navigate in the table of contents tree structure (Contents tab)
    • To expand or collapse all branches of the table of contents tree, click the right-hand mouse key in the navigation window and choose Expand all or Collapse all in the context menu.
    • To move backwards and forwards in a navigation path, choose Back or Forward in the toolbar. This applies to the navigation path within an HTML Help Viewer instance.
    • To display only the entries for particular info classes in the table of contents, click the right-hand mouse key in the navigation window and choose Customize... in the context menu. Specify in the following dialog which info classes are to appear in the table of contents.
  • Perform a keyword search (Index tab)

The complete index is displayed if you are in the SAP Library; the index of the current help file is displayed if you are in another help file. No Index tab is displayed if no index exists for the current help file.

Loading the complete SAP Library index (approx. 8 MB) can take several minutes, depending on the configuration of your PC.

Select an entry in the list of keywords and choose Display.
If the selected keyword is assigned to only one help document, that document is displayed. Otherwise a list of documents found is offered for selection.

As Release Notes and IMG have no index, only full-text search is possible for them.
  • Perform a full-text search (Search tab)

Enter a search request and choose List Topics.
All documents are searched if you are in the SAP Library; only the documents in the current help file are searched if you are in another help file. The documents found are listed for selection.

To make complex searches:
    • Use the place holder ? for single characters and * for character strings in search terms.
    • Match similar words
    • Combine search terms with the operators:
      • AND (all terms appear in the document)
      • OR (at least one of the terms appears in the document)
      • NOT (the term does not appear in the document)
      • NEAR (the terms occur close together, such as in the same sentence in the document)
    • Restrict the search to document titles (Search titles only)
    • Restrict the search to the set of documents found in the previous search (Search previous results)

A global search in the SAP Library, in particular full-text search, requires a large amount of main memory. Global full-text search should only be used if the help files are on the local hard disk.

Finding the Current Help Document in the Table of Contents

If you found the current topic by search or hyperlink, the position of the topic in the table of contents is not displayed. To find the topic in the table of contents, choose Locate in the HTML Help Viewer toolbar.

If you found the current topic by a global (full-text or keyword) search in the SAP Library, the help file containing the topic must first be found. Click on the Locate icon [image] in the topic title. Then choose Locate in the toolbar to expand the help file table of contents and find the position of the topic.

Printing Help Documents

You can print individual help documents or several documents at the same time:

  • To print the current topic, choose Print with the option Print the selected topic.
  • To print the current topic and all its subtopics, choose Print with the option Print the selected heading and all subtopics.


SAP Library
Release 4.6D, March 2000
SAP Library

Glossary

Cross-Application Components

Basis Components/a>
© Copyright 2002 SAP AG
All rights reserved.


Broken link

Error: Broken link

You tried to follow a link that points to an unknown target document.